# tbb::interface5::internal::task_base Class Reference

Base class for methods that became static in TBB 3.0. More...

`#include <task.h>`

List of all members.

## Detailed Description

Base class for methods that became static in TBB 3.0.

TBB's evolution caused the "this" argument for several methods to become obsolete. However, for backwards binary compatibility, the new methods need distinct names, otherwise the One Definition Rule would be broken. Hence the new methods are defined in this private base class, and then exposed in class task via using declarations.

The documentation for this class was generated from the following file:

- task.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.